Reports

Get Payment Report

GET
/reports/payments

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

group_by?string

Value in

  • "day"
  • "week"
  • "month"
from?string
Formatdate-time
to?string
Formatdate-time

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/reports/payments"
{  "report": {    "aggregation": {      "numberOfActiveUsers": {        "actualValue": "string",        "absoluteChange": "string",        "relativeChange": "string"      },      "numberOfActiveCustomers": {        "actualValue": "string",        "absoluteChange": "string",        "relativeChange": "string"      },      "numberOfTrades": {        "actualValue": "string",        "absoluteChange": "string",        "relativeChange": "string"      },      "tradingVolume": {        "actualValue": "string",        "absoluteChange": "string",        "relativeChange": "string"      },      "paymentAmount": {        "actualValue": "string",        "absoluteChange": "string",        "relativeChange": "string"      }    },    "data": [      {}    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}